varying mediump vec4 result_color;
varying mediump vec2 result_uv;
uniform sampler2D texture;

void main()
{
	mediump float col = texture2D(texture, result_uv).r;
	if (col < 0.5)
		col = 0.0;
	else
		col = 1.0;
	col *= smoothstep(0.25, 0.75, col);
	mediump vec4 res = result_color * col;

	gl_FragColor = res;
}